Package org.eclipse.draw2d

# Class AccessibleBase

java.lang.Object
org.eclipse.draw2d.AccessibleBase

public class AccessibleBase extends Object
The base class for accessible objects which provides accesibilty clients with a unique ID.

## Constructor Summary

Constructors
Constructor
Description
`AccessibleBase()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getAccessibleID()`
Returns the id of this accessible object using `Object.hashCode()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleBase

public AccessibleBase()

## Method Details

### getAccessibleID

public final int getAccessibleID()
Returns the id of this accessible object using `Object.hashCode()`.

Returns:
  the id